Package com.macrofocus.high_d.tablelens

# Interface TableLensModel<Color,Row,Column>

All Known Implementing Classes:
  `AbstractTableLensModel`, `DefaultTableLensModel`

public interface TableLensModel<Color,Row,Column>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROPERTY_SHOW_FILTERED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTableLensListener(TableLensListener listener)`
  Add a listener for receiving interesting events about changes in the model.
  `int`
  `getAxisCount()`
  Returns the number of axis composing the parallel coordinates plot.
  `com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column>`
  `getAxisGroupModel()`
  Gets all the axis composing this parallel coordinates plot.
  `com.macrofocus.coloring.MutableColoring<Color,Row>`
  `getColoring()`
  Gets model holding the colors of each object.
  `com.macrofocus.colormapping.MutableColorMapping<Color,Row,Column>`
  `getColorMapping()`
  Gets model holding the color mapping of each object.
  `MutableFilter<Row>`
  `getFilter()`
  Obtains the model used for filtering objects in the scatter plot.
  `int`
  `getIndex(Row row)`
  `Double`
  `getLocation(com.macrofocus.high_d.axis.AxisModel axisModel)`
  Gets the normalized location of an axis.
  `Row`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  Returns the number of data objects (typically rows).
  `MutableSingleSelection<Row>`
  `getProbing()`
  Obtains the model used for probing objects in the scatter plot (aka mouse over).
  `Iterable<com.macrofocus.high_d.axis.AxisModel>`
  `getSelectedAxis()`
  Returns the list of currently selected axis.
  `MutableSelection<Row>`
  `getSelection()`
  Obtains the model used for selecting objects in the scatter plot.
  `Property<Boolean>`
  `getShowFiltered()`
  `com.macrofocus.molap.index.UniqueIndex<Row>`
  `getSortedRows()`
  `com.macrofocus.visual.Visual<Color,Row,Column>`
  `getVisual()`
  `void`
  `removeTableLensListener(TableLensListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the model.
  `void`
  `setLocation(com.macrofocus.high_d.axis.AxisModel axisModel, double l)`
  Sets the location of an axis within its group.
  `void`
  `setOrder(com.macrofocus.high_d.axis.AxisModel axisModel)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`

- ## Field Details

  - ### PROPERTY_SHOW_FILTERED

    static final String PROPERTY_SHOW_FILTERED
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getVisual

    com.macrofocus.visual.Visual<Color,Row,Column> getVisual()

  - ### getProbing

    MutableSingleSelection<Row> getProbing()
    Obtains the model used for probing objects in the scatter plot (aka mouse over).
    Returns:
      the model used for probing.

  - ### getSelection

    MutableSelection<Row> getSelection()
    Obtains the model used for selecting objects in the scatter plot.
    Returns:
      the model used for selection.

  - ### getFilter

    MutableFilter<Row> getFilter()
    Obtains the model used for filtering objects in the scatter plot.
    Returns:
      the model used for filtering.

  - ### getColorMapping

    com.macrofocus.colormapping.MutableColorMapping<Color,Row,Column> getColorMapping()
    Gets model holding the color mapping of each object.
    Returns:
      the model holding the color of each object.

  - ### getColoring

    com.macrofocus.coloring.MutableColoring<Color,Row> getColoring()
    Gets model holding the colors of each object.
    Returns:
      the model holding the color of each object.

  - ### getObjectCount

    int getObjectCount()
    Returns the number of data objects (typically rows).
    Returns:
      the number of data objects

  - ### getObject

    Row getObject(int index)
    Parameters:
      `index` -
    Returns:

  - ### getIndex

    int getIndex(Row row)

  - ### getSortedRows

    com.macrofocus.molap.index.UniqueIndex<Row> getSortedRows()

  - ### getLocation

    Double getLocation(com.macrofocus.high_d.axis.AxisModel axisModel)
    Gets the normalized location of an axis.
    Parameters:
      `axisModel` - the axis
    Returns:
      its normalized location within the group

  - ### getAxisCount

    int getAxisCount()
    Returns the number of axis composing the parallel coordinates plot.
    Returns:
      the number of axis

  - ### getSelectedAxis

    Iterable<com.macrofocus.high_d.axis.AxisModel> getSelectedAxis()
    Returns the list of currently selected axis.
    Returns:
      the axis that are currently selected

  - ### getAxisGroupModel

    com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column> getAxisGroupModel()
    Gets all the axis composing this parallel coordinates plot.
    Returns:

  - ### setOrder

    void setOrder(com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### setLocation

    void setLocation(com.macrofocus.high_d.axis.AxisModel axisModel, double l)
    Sets the location of an axis within its group.
    Parameters:
      `axisModel` - the axis
      `l` - its normalized location

  - ### getShowFiltered

    Property<Boolean> getShowFiltered()

  - ### setShowFiltered

    void setShowFiltered(MutableProperty<Boolean> showFiltered)

  - ### addTableLensListener

    void addTableLensListener(TableLensListener listener)
    Add a listener for receiving interesting events about changes in the model.
    Parameters:
      `listener` - the listener to add.

  - ### removeTableLensListener

    void removeTableLensListener(TableLensListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the model.
    Parameters:
      `listener` - the listener to remove.